Deletes Shipping Status by id
Deletes Shipping Status by id
Path Parameters
Shipping Status id
Example:10000
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
Response
Shipping Status deleted
Path Parameters
Headers
stockadjustmentreasons
Creates Stock Adjustment Reason
Sample request:
POST /stockadjustmentreasons
{
"name": "Stock Adjustment Reason Name",
"disabled": true
}
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Body
application/json
Body
Stock Adjustment Reason model
EmptyExample
Response
application/json
Response
Stock Adjustment Reason created
StockAdjustmentReason
Stock Adjustment Reason Model
Stock Adjustment Reason Id.
Stock Adjustment Reason name
Stock Adjustment Reason disabled flag
Stock Adjustment Reason creation date and time
Stock Adjustment Reason modification date and time
Headers
Body
Searches Stock Adjustment Reasons by parameters
Searches Stock Adjustment Reasons by parameters
Query Parameters
Filter by.
Available field name values: id, name, created_on, modified_on, disabled
In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’
For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character
Available operators:
eq - Equal
neq - Not equals
lt - Less
lte - Less or equal
gt - Greater
gte - Greater or equal
in - In
notin - Not In
contains - Contains
isnull - Is Null
isnullorempty - Is Null Or Empty
isnotnull - Is Not Null
startswith - Starts with
endswith - Ends with
doesnotcontain - Does not contain
For non-nullable fields operators isnull and isnotnull are unavailable
For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable
For strings operators: lt, lte, gt, gte are unavailable
Example: created_on:gte:2021-06-03T05:48:09+10:00,disabled:eq:true
Order by.
Available field name values: id, name, created_on, modified_on, disabled
Available direction values: asc, desc.
Example: id asc, name desc
>= 1<= 100000
>= 1<= 2147483647
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Paging Response with Stock Adjustment Reasons data
StockAdjustmentReason.PagingResponse
Stock Adjustment Reason Model
Show Child Parameters
Query Parameters
Headers
Updates Stock Adjustment Reason
Sample request:
PUT /stockadjustmentreasons/12
{
"name": "Updated Stock Adjustment Reason name",
"disabled": true
}
Path Parameters
Stock Adjustment Reason id
Example:1
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Body
application/json
Body
Stock Adjustment Reason model
EmptyExample
Response
application/json
Response
Returns updated Stock Adjustment Reason
StockAdjustmentReason
Stock Adjustment Reason Model
Stock Adjustment Reason Id.
Stock Adjustment Reason name
Stock Adjustment Reason disabled flag
Stock Adjustment Reason creation date and time
Stock Adjustment Reason modification date and time